LibreOffice: AutoTextEntry Service Reference

LibreOffice LibreOffice 7.5 SDK API Reference

Loading...
Searching...
No Matches
Exported Interfaces | List of all members
AutoTextEntry Service Referencepublished

provides access to a text block in a group of an AutoTextContainer. More...

Inheritance diagram for AutoTextEntry:

## Exported Interfaces
interface | com::sun::star::text::XAutoTextEntry
interface | com::sun::star::text::XText
| provides access to the Text of this entry.

## Additional Inherited Members
Public Member Functions inherited from XAutoTextEntry
void | applyTo ([in] com::sun::star::text::XTextRange xRange)
| inserts the contents represented by this auto text entry at the specified text range.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XText
void | insertTextContent ([in] com::sun::star::text::XTextRange xRange, [in] com::sun::star::text::XTextContent xContent, [in] boolean bAbsorb) raises ( com::sun::star::lang::IllegalArgumentException )
| inserts a content, such as a text table, text frame or text field.
void | removeTextContent ([in] com::sun::star::text::XTextContent xContent) raises ( com::sun::star::container::NoSuchElementException )
| removes the specified content from the text object.
Public Member Functions inherited from XSimpleText
com::sun::star::text::XTextCursor | createTextCursor ()
com::sun::star::text::XTextCursor | createTextCursorByRange ([in] com::sun::star::text::XTextRange aTextPosition)
void | insertString ([in] com::sun::star::text::XTextRange xRange, [in] string aString, [in] boolean bAbsorb)
| inserts a string of characters into the text.
void | insertControlCharacter ([in] com::sun::star::text::XTextRange xRange, [in] short nControlCharacter, [in] boolean bAbsorb) raises ( com::sun::star::lang::IllegalArgumentException )
| inserts a control character (like a paragraph break or a hard space) into the text.
Public Member Functions inherited from XTextRange
XText | getText ()
XTextRange | getStart ()
XTextRange | getEnd ()
string | getString ()
void | setString ([in] string aString)
| the whole string of characters of this piece of text is replaced.

## Detailed Description

provides access to a text block in a group of an AutoTextContainer.

See also
  com::sun::star::text::AutoTextContainer
  com::sun::star::text::AutoTextGroup

Developers Guide
  Text Documents - Auto Text

## Exported Interfaces

## ◆ com::sun::star::text::XAutoTextEntry

interface com::sun::star::text::XAutoTextEntry

## ◆ com::sun::star::text::XText

interface com::sun::star::text::XText

provides access to the Text of this entry.

The documentation for this service was generated from the following file:

- com/sun/star/text/AutoTextEntry.idl